
set( lardataobj_VERSION 08.04.04 )
set( lardataobj_UPS_VERSION v08_04_04 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( larcoreobj  )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata v01_05_01 )
set(LARDATAOBJ_ANALYSISBASE "$ENV{LARDATAOBJ_LIB}/liblardataobj_AnalysisBase.dylib")
set(LARDATAOBJ_ANALYSISBASE_DICT "$ENV{LARDATAOBJ_LIB}/liblardataobj_AnalysisBase_dict.dylib")
set(LARDATAOBJ_OPTICALDETECTORDATA "$ENV{LARDATAOBJ_LIB}/liblardataobj_OpticalDetectorData.dylib")
set(LARDATAOBJ_OPTICALDETECTORDATA_DICT "$ENV{LARDATAOBJ_LIB}/liblardataobj_OpticalDetectorData_dict.dylib")
set(LARDATAOBJ_RAWDATA "$ENV{LARDATAOBJ_LIB}/liblardataobj_RawData.dylib")
set(LARDATAOBJ_RAWDATA_DICT "$ENV{LARDATAOBJ_LIB}/liblardataobj_RawData_dict.dylib")
set(LARDATAOBJ_RECOBASE "$ENV{LARDATAOBJ_LIB}/liblardataobj_RecoBase.dylib")
set(LARDATAOBJ_RECOBASE_DICT "$ENV{LARDATAOBJ_LIB}/liblardataobj_RecoBase_dict.dylib")
set(LARDATAOBJ_RECOBASE_ASSNSDICTS_DICT "$ENV{LARDATAOBJ_LIB}/liblardataobj_RecoBase_AssnsDicts_dict.dylib")
set(LARDATAOBJ_RECOBASE_TRACKINGDICTS_DICT "$ENV{LARDATAOBJ_LIB}/liblardataobj_RecoBase_TrackingDicts_dict.dylib")
set(LARDATAOBJ_MCBASE "$ENV{LARDATAOBJ_LIB}/liblardataobj_MCBase.dylib")
set(LARDATAOBJ_MCBASE_DICT "$ENV{LARDATAOBJ_LIB}/liblardataobj_MCBase_dict.dylib")
set(LARDATAOBJ_SIMULATION "$ENV{LARDATAOBJ_LIB}/liblardataobj_Simulation.dylib")
set(LARDATAOBJ_SIMULATION_DICT "$ENV{LARDATAOBJ_LIB}/liblardataobj_Simulation_dict.dylib")
  include_directories ( "$ENV{LARDATAOBJ_INC}" )

check_required_components(lardataobj)

